import './uni.promisify.adaptor'
import '@/utils/tabBar'
import App from './App'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import uviewPlus from 'uview-plus'

export function createApp() {
  const app = createSSRApp(App)
  const uview = uviewPlus && (uviewPlus.default || uviewPlus)
  app.use(uview)
  return {
    app
  }
}
// #endif